% массив должен состоять из столбца дат и столбца значений
% g_data - массив
% min_d - началькое значение графика
% max_m - конечное значение графика


function [ output_args ] = graf(g_data,min_d,max_m)

%g_data=ans;
wdata=g_data(min_d:max_m,:);
xxt=num2str(wdata(:,1));
[rw,cw]=size(wdata);
jj=1;
for ii=1:rw-1
 if strncmpi(xxt(ii,:),xxt(ii+1,:),4)==0 
  xxt1(jj,1:4)=xxt(ii+1,1:4);
  xxt2(jj)=ii+1;
  jj=jj+1;
end
end


plot(wdata(:,2),'LineWidth',2); grid on
[wr,wc]=size(wdata(:,2));
XMIN=0; YMIN=min(wdata(:,2))-1; 
XMAX=wr; YMAX=max(wdata(:,2))+1;
axis([XMIN XMAX YMIN YMAX])
set(gca,'XTick',xxt2)
set(gca,'XTickLabel',xxt1,'FontSize',14,'FontName','Times New Roman')
xlabel('Time, years','FontSize',16,'FontName','Times New Roman');
ylabel('Price','FontSize',16,'FontName','Times New Roman');
